
import java.io.*;
import javax.sound.sampled.*;

public class Exemplo2 {

    public static void main(String args[]) {
      File arquivo;
      AudioInputStream entrada = null;
      AudioFormat formatoDaEntrada;
      DataLine.Info descricaoDaEntrada;
      Clip clip;
      try {
        arquivo = new File("mssound.wav");
        entrada = AudioSystem.getAudioInputStream(arquivo);
        formatoDaEntrada = entrada.getFormat();
        descricaoDaEntrada = new DataLine.Info(Clip.class, formatoDaEntrada);
		if (!AudioSystem.isLineSupported(descricaoDaEntrada)) {
         System.out.println("No  possvel reproduzir arquivos deste tipo");
        }
        clip = (Clip) AudioSystem.getLine(descricaoDaEntrada);
        clip.open(entrada);
        clip.start();
        clip.drain();
        } catch (IOException excecao) {
            excecao.printStackTrace();
        } catch (UnsupportedAudioFileException excecao) {
            excecao.printStackTrace();
        } catch (LineUnavailableException excecao) {
            excecao.printStackTrace();
        } finally {
            if (entrada != null) {
                try {
                    entrada.close();
                } catch (IOException excecao) {
                    excecao.printStackTrace();
                }
            } 
        }
    }
}
