

import javax.sound.sampled.*;


public class Exemplo3 {
    private static final int TAXA_DE_AMOSTRAGEM = 22050;
    private static final int RESOLUCAO = 8;
    private static final int MONOFONICO = 1;
    private static final int FREQUENCIA = 440;

    public static void main(String args[]) {
        AudioFormat formatoDaEntrada;
        DataLine.Info descricaoDaEntrada;
        SourceDataLine entrada;
        byte[] amostra;
        try
        {
          //formato PCM, sem sinal e little-endian
          formatoDaEntrada = new AudioFormat(TAXA_DE_AMOSTRAGEM, RESOLUCAO, MONOFONICO, false, false);
          descricaoDaEntrada = new DataLine.Info(SourceDataLine.class,formatoDaEntrada);
          if (AudioSystem.isLineSupported(descricaoDaEntrada) == false)
          {
            System.out.println("No  possvel reproduzir arquivos deste tipo");
            System.exit(0);
          }
          entrada = (SourceDataLine) AudioSystem.getLine(descricaoDaEntrada);
          entrada.open(formatoDaEntrada);
          amostra = new byte[TAXA_DE_AMOSTRAGEM / FREQUENCIA];
          for (int i = 0; i < amostra.length; ++i)
          {
            amostra[i] = (byte) (i* 255 / amostra.length);
          }
          entrada.start();

                    
          while (true)  {
            entrada.write(amostra, 0, amostra.length);
          }

        }
        catch (LineUnavailableException excecao)
        {
            excecao.printStackTrace();
        }
    }
}
